/* -------------------- BASE -------------------- */
body{
    font-family: helvetica, arial, sans-serif;
    font-size: 16px;
    color: #2F2E2E;
    background: white;
    position: relative;
}
.wrap{
    max-width: 1280px;
    width: 100%;
    margin: 0px auto;
    display: block;
    float: inherit;
}
.content{
    margin-top: 64px;
}

.title--h2{
    text-transform: uppercase;
    font-size: 34px;
    text-align: center;
    font-weight: normal;
    position: relative;
    display: inline-block;
}
.title--h2::after{
    position: absolute;
    bottom: -20px;
    left: calc(50% - 19px);
    width: 38px;
    height: 3px;
    content: "";
    background: #fff;
}

.socialList li{
    display: inline-block;
    list-style: none;
    margin-right: 4px;
}
.socialList li:last-child{
    margin-right: 0px;
}
.socialList li a{
    background: #fff;
    color: #2F2E2E;
    display: inline-block;
    text-decoration: none;
    width: 34px;
    height: 34px;
    border-radius: 17px;
}
.socialList li a i{
    display: inline-block;
    vertical-align: bottom;
    margin-top: 8px;
    font-size: 18px;
}

.btn--top{
    display: none;
}

.icon--inactive{
    display: none !important;
}


/* --------- Animation --------- */
.wow {
    visibility:hidden;
}
.wowEnd {
    visibility:visible;
}
.animated {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.animated.hinge {
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
}
@-webkit-keyframes fadeInUp {
    0% {
        opacity: 0;
        -webkit-transform: translateY(20px);
        transform: translateY(20px);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        -webkit-transform: translateY(20px);
        -ms-transform: translateY(20px);
        transform: translateY(20px);
    }

    100% {
        opacity: 1;
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        transform: translateY(0);
    }
}

.fadeInUp {
    -webkit-animation-name: fadeInUp;
    animation-name: fadeInUp;
}

/* -------------------- HEADER -------------------- */
.header{
    position: fixed;
    top: 0px; left: 0px;
    width: 100%;
    background: white;
    z-index: 2;
    box-shadow: -webkit-box-shadow: 0px 1px 32px -5px rgba(122,120,122,1);
-moz-box-shadow: 0px 1px 32px -5px rgba(122,120,122,1);
box-shadow: 0px 1px 32px -5px rgba(122,120,122,1);
}

.header__contentBox{
    position: relative;
}

    /* --------- Main menu --------- */
    .mainMenu{
        padding: 20px 0px;
    }
    .mainMenu ul{
        text-align: center;
    }
    .mainMenu li{
        display: inline-block;
        list-style: none;
    }
    .mainMenu li a{
        padding: 0px 30px;
        font-size: 15px;
        color:#2F2E2E;
    }

    .social_network i {
    width: 40px;
    height: 40px;
    background: white;
    line-height: 40px;
    border-radius: 50%;
    border: 1px solid #c6c6c6;
    }

    @media screen and (max-width: 800px) {
        .social_network i {
        display:none;
        }
    }

    /* --------- Mobile menu --------- */

    .triggerMenu{
        position: absolute;
        top: 20px;
        right: 20px;
        border: 1px solid #2F2E2E;
        border-radius: 5px;
        display: none;
    }
    .triggerMenu i{
        color: #2F2E2E;
        padding: 10px;
        display: inline-block;
        font-size: 25px;
        cursor: pointer;
        -webkit-transition: background 0.3s ease-in-out;
        transition: background 0.3s ease-in-out;
    }
    .triggerMenu i:hover{
        background: #696666;
    }


/* -------------------- CONTENT -------------------- */

    /* --------- Banner --------- */
    .banner{
        min-height: 90vh;
        position: relative;
    }
    .banner__titleBox{
        color: black;
        text-align: center;
        padding-top: 50px;
    }
    .banner__title{
        font-size: 55px;
        margin: 0px;
        line-height: 60px;
        margin-top: 16px;
    }
    .banner__subtitle{
        font-size: 25px;
    }

    .banner__social{
        text-align: center;
        position: absolute;
        bottom: 60px;
        left: calc(50% - 80px);
        font-size: 16px;
        color:black;
        background-color: white;
        padding: 10px;
        border-radius: 4px;
        border: 1px solid #f3f3f3;
    }

    .banner__social span{
        color:#e6007e;
        font-weight: 600

    }

    /* --------- Services --------- */
    .services{
        min-height: 65vh;
        background-color: white;
    }
    .services__contentBox{
        padding-top: 90px;
        padding-bottom: 90px;
    }
    .services__titleBox{
        text-align: center;
        margin-bottom: 52px;
    }
    .services__title{
        color: #444444;
    }
    .services__list{
        text-align: center;
    }
    .services__item{
         display: inline-block;
         list-style: none;
         width: 260px;
         color: #444444;
         text-align: center;
     }


    .services__item:first-child p{
         padding: 0px 40px;
     }
    .services__item:nth-child(2) p{
        padding: 0px 20px;
    }
    .item__title_1{
            margin-top: 23px;
            margin-bottom: 13px;
            font-weight: normal;
            font-size: 20px;
            color: #009fe3;
        }

    .item__title_2{
            margin-top: 23px;
            margin-bottom: 13px;
            font-weight: normal;
            font-size: 20px;
            color: #e6007e;
        }

    .item__title_3{
            margin-top: 23px;
            margin-bottom: 13px;
            font-weight: normal;
            font-size: 20px;
            color: #ffc200;
        }

    /* --------- Projects --------- */
    .projects{
        padding-top: 100px;
        padding-bottom:100px;
        background: #ffffff;
    }
    .projects__contentBox{
        margin-top: 20px;
    }
    .projects__titleBox{
        text-align: center;
    }
    .projects__title{
        margin-bottom: 35px;
    }
    .projects__title:after{
        background: #2F2E2E;
    }
    .projects__subtitle{
        font-size: 20px;
    }

    .projects__list{
        font-size: 0px;
    }
    .projects__item{
        display: inline-block;
        width: 33.33333%;
        background: rgba(47, 46, 46, 0.5);
    }
    .projects__item a{
         display: block;
     }
    .projects__item a:hover img{
        opacity: 0.5;
    }
    .projects__img{
        width: 100%;
        opacity: 1;
        -webkit-transition: opacity 0.3s ease-in-out;
        transition: opacity 0.3s ease-in-out;
    }

    /* --------- Story --------- */
    .story{
        min-height: 55vh;
        padding-top: 110px;
        padding-bottom: 110px;
    }
    .story__contentBox{
        width: 100%;
        max-width: 660px;
        text-align: center;
        background: #fff;
        margin: 0px auto;
        padding: 65px 70px 65px 70px;
    }
    .story__title{
        margin-bottom: 50px;
    }
    .story__title:after{
        background: #2F2E2E;
    }
    .story__txt{
        margin-bottom: 20px;
    }
    .story__txt:last-child{
        margin-bottom: 0px;
    }

    /* --------- Couple --------- */
    .couple{
        min-height: 63vh;
    }

    /* --------- Contact --------- */
    .contact{
        min-height: 70vh;
        padding-top: 60px;
        text-align: center;
        background:repeat,;
    }
    .contact__title{
        margin-bottom: 50px;
        display: block;
    }
    .contact__title:after{
        background: #2F2E2E;
    }
    .contact__info{
        text-align: center;
        width: 50%;
        display: inline-block;
    }

      .contact__info span{
        color:#e6007e;
        font-weight: 600

    }

    .contact__formBox{
        width: 45%;
        display: inline-block;
        vertical-align: top;
        text-align: right;
    }
    .contact__contentBox{
        width: 100%;
        max-width: 660px;
        text-align: center;
        background: #fff;
        margin: 0px auto;
        padding: 65px 40px 55px;
    }

    .contact__address{
        margin-bottom: 30px;
    }

    .contact__email{
        margin-bottom: 2px;
    }

    .contact__tel{
        margin-bottom: 30px;
    }

    .contact__email a , .contact__tel a {
        color: #2F2E2E;
        text-decoration: none;
    }
    .contact__subtitle{
        text-transform: uppercase;
        margin-bottom: 6px;
    }

        .form__item{
            margin-bottom: 8px;
        }
        .form__item input, .form__item textarea{
            box-shadow: none;
            -webkit-box-shadow: none;
        }
        .form__item input:focus:invalid, .form__item textarea:focus:invalid{
            border: 1px solid #ff2f27;
            color: #ff2f27;
            box-shadow: none;
            -webkit-box-shadow: none;
            color:black;
        }
        .form__input, .form__textarea{
            width: 96%;
            border: 1px solid rgba(33, 33, 33, 0.4);
            padding: 6px;
        }
        .form__textarea{
            min-height: 100px;
        }
        .form__submit{
            background: #2F2E2E;
            color: #fff;
            border: none;
            -webkit-transition: background 0.3s ease-in-out;
            transition: background 0.3s ease-in-out;
            cursor: pointer;
            padding: 7px 16px;
        }
        .form__submit:hover{
            background: #424141;
        }

/* -------------------- FOOTER -------------------- */
.footer{
    background: #2F2E2E;
    color: #fff;
    padding: 50px 0px;
}

.footer__content{
    text-align: center;
    margin: 0 auto;
    width:calc(50% - 80px);

}

.footer__copyright{
    font-size: 14px;
    text-decoration: none;
    color:white;
    margin-right:15px;
}

.footer__content ul{
list-style-type: none;
}

 .footer__copyright i {
    width: 40px;
    height: 40px;
    color:black;
    background: white;
    line-height: 40px;
    border-radius: 50%;
    border: 1px solid #c6c6c6;
    margin-top:10px;
    }

.footer a{
    display:block;
    font-size: 15px;
    text-decoration: none;
    color: white;
    margin :0;
    padding: 0;
    margin-right:15px;
}



/* -------------------- RESPONSIVE -------------------- */
@media screen and (max-width: 800px) {
    /* --------- base --------- */
    .header{
        position: static;
        min-height: 85px;
    }
    .content{
        margin-top: 0px;
    }

    .triggerMenu{
        display: block;
    }
    .mainMenu{
        position: absolute;
        top: 67px;
        right: 20px;
        padding: 0px;
        background: white;
        z-index: 2;
        -ms-transform: translate(0px,-290px); /* IE 9 */
        -webkit-transform: translate(0px,-290px); /* Safari */
        transform: translate(0px,-290px);
        opacity: 0;

        -webkit-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
    }
    .mainMenu ul{
       text-align: left;
       margin-top:10px;
    }
    .mainMenu ul li{
        display: block;
        border-top: 1px solid #f3f3f3;
        border-left: 1px solid #f3f3f3;
        border-right: 1px solid #f3f3f3;
    }
    .mainMenu ul li:last-child{
        display:none;
    }
    .mainMenu li a{
        width: 190px;
        padding: 10px;
        display: block;
        color:black;
        background: white;
        -webkit-transition: background 0.3s ease-in-out;
        transition: background 0.3s ease-in-out;
    }
    .mainMenu li a:hover{
       background: #f3f3f3;
    }

    .mainMenu img{
        display:none;
    }

    .mainMenu--active{
        -ms-transform: translate(0px,0px); /* IE 9 */
        -webkit-transform: translate(0px,0px); /* Safari */
        transform: translate(0px,0px);
        opacity: 1;
    }

    /* --------- Banner --------- */
    .banner__social{
        top: -75px;
        left: 20px;
        bottom: inherit;
    }

    /* --------- Services --------- */
    .services__item:last-child{
        margin-top: 40px;
    }
    .services__item p {
        padding: 0px 10px !important;
    }

    /* --------- Story --------- */
    .story__contentBox {
        width: 80%;
        padding: 65px 20px 55px;
    }

    /* --------- Contact --------- */
    

    .contact__contentBox{
        width: 80%;
        padding: 65px 20px 55px;
    }
    .contact__info{
        width: 100%;
        text-align: center;
    }
    .contact__address{
        max-width: 100%;
    }
    .contact__formBox{
        width: 90%;
    }
}

@media screen and (max-width: 500px) {
    /* --------- base --------- */
    .title--h2{
        font-size: 28px;
    }

    .btn--top{
        position: fixed;
        bottom: 90px;
        right: 1px;
        color: #fff;
        display: inline-block;
        background: RGBA(34, 34, 34, 0.56);
        border: 2px solid #fff;
        border-radius: 10px 0px 0px 10px;
        font-size: 20px;
        opacity: 0.7;
    }
    .btn--top a{
        color: #fff;
        text-decoration: none;
        padding: 12px;
        display: block;
    }
    .btn--top i{
        display: block;
    }

    /* --------- Banner --------- */
    .banner{
        min-height: 90vh;
    }
    .banner__titleBox{
        padding-top: 30px;
    }
    .banner__logo{
        max-width: 200px;
    }
    .banner__title{
        font-size: 35px;
    }
    .banner__subtitle{
        font-size: 17px;
    }

    /* --------- Services --------- */
    .services__contentBox{
        padding-top: 60px;
        padding-bottom: 60px;
    }
    .services__titleBox{
        margin-bottom: 52px;
    }
    .services__item{
        margin-bottom: 40px;
    }
    .services__item:last-child{
        margin-bottom: 0px;
        margin-top: 0px;
    }

    /* --------- Projects --------- */
    .projects__item{
        width: 50%;
    }
    .projects__subtitle{
        padding: 0px 20px;
    }

    /* --------- Story --------- */
    .story__contentBox{
        width: 90%;
        padding-left: 0px;
        padding-right: 0px;
    }
    .story__txt{
        padding: 0px 20px;
    }

    /* --------- Contact --------- */
    .contact__img{
        width: 80%;
        max-width: 288px;
    }
    .contact__contentBox{
        width: 90%;
        padding-left: 0px;
        padding-right: 0px;
    }
    .contact__info{
        width: 80%;
    }
    .contact__formBox{
        width: 80%;
        margin-left: 10%;
        margin-right: 10%;
    } 


@media screen and (max-width: 340px) {
    .contact__info{
        width: 90%;
        padding: 0px;
        margin-left: 5%;
        margin-right: 5%;
        margin-bottom: 50px;
    }
    .contact__formBox{
        width: 90%;
        margin-left: 5%;
        margin-right: 5%;
    }
}